<?php

$filename = 'c_leitura.php';
session_start();
if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}
include 'c_leitura.php';

error_reporting(0);
require_once __DIR__ . DIRECTORY_SEPARATOR . "sealed" . DIRECTORY_SEPARATOR . "autoload.php";
include ('db.php');


$caminho = '';
$date = date("Y-m-d H:i:s");
$nome = $_POST['nome'];
$email = $_POST['email'];
$perfil = $_POST['perfil'];
$login = $_POST['login'];
$fecharFaturasPonto = ($perfil == 6) ? $_POST['fecharFaturasPonto'] : 0;
$senha = md5($_POST['pass']);
$senha2 = md5($_POST['pass2']);
$porcent = $_POST['porcent'];
$telefone = $_POST['telefone'];
$clientID = $_POST['client_id'];
$secretID = $_POST['secret_id'];



if (!empty($_POST['apoio'])) {
    $apoio = $_POST['apoio'];
} else {
    $apoio = $_SESSION['UsuarioID'];
}

if ($perfil == 4) {
    $porcentagem_limite = 100;
    /**
     * SÓCIO
     */
    
    if ($porcent > $porcentagem_limite) {
        echo json_encode(array('success' => 0, 'msg' => 'Limite de porcentagem excedida, máxima de : ' . $porcentagem_limite . "%"));
        exit;
    }
}


if ($senha != $senha2) {
    echo json_encode(array('success' => 0, 'msg' => 'Senhas digitadas estão diferentes!'));
    exit;
}

$afiliado = 0;
if ($_SESSION['UsuarioNivel'] == 2) {
    $afiliado = 1;
}

if (!empty($_POST['porcent'])) {
    $porcentagem = $_POST['porcent'];
} else {
    $porcentagem = 0;
}

$id_pais = $_POST['id_pais'];

if (empty($id_pais) || $id_pais == 0){
    $result_p = mysql_query("SELECT id_pais FROM user WHERE id = '$apoio'");
    $rowPais = mysql_fetch_array($result_p);
    $id_pais = $rowPais['id_pais'];
}

$result = mysql_query("SELECT * FROM user WHERE username = '$login'");
if (mysql_num_rows($result) > 0) {
    echo json_encode(array('success' => 0, 'msg' => 'O Login informado já esta em uso! por favor informe outro Login.'));
    exit;
}

// if($_SESSION['UsuarioNivel'] == 3 && $clientID == "" || $secretID == ""){
// 	echo json_encode(array('success' => 0, 'msg' => 'Preencha os campos, Client id e Secret id!'));
// 	exit;
// }

if(empty($email)){
    $email = "" .$login . "@email.com.br";
}

$checkNome = "";

if (empty($checkNome)) {
    $sql = mysql_query("INSERT INTO user (nome, email, username, id_apoio, passwd, cadastro, nivel, "
            . "porcentagem, id_pais, afiliado, fechar_faturas_ponto, cpf, chave_pix, telefone) "
            . "VALUES ('$nome', '$email', '$login', '$apoio', '$senha', '$date', "
            . "'$perfil', '$porcentagem', '$id_pais', '$afiliado', '$fecharFaturasPonto', '$clientID', '$secretID', '$telefone')");

    if (!$sql) {
        // Captura e retorna o erro da consulta
        echo json_encode(array('success' => 0, 'msg' => 'Erro ao realizar cadastro', 'error' => mysql_error()));
        echo "EMAIL? " . $email;
        exit;
    }
} else {
    echo json_encode(array('success' => 0, 'msg' => 'Nome de usuário já existe'));
    exit;
}

// Se a query foi bem-sucedida
echo json_encode(array('success' => 1, 'msg' => 'Cadastro realizado com sucesso!'));

exit;
?>
